\chapter{Prerequisites - Rings}

\section{Basics}
We recall some basic facts and definitions about rings which can be found in \cite[Chapter~3]{aluffi},\cite{strop,schroer}.

\begin{prop}[Chinese Remainder Theorem]\index{theorem! Chinese Remainer}
  Let $R\neq 0$ be a ring, and $I_1,\hdots,I_r\sse R$ ideals such that $I_i+I_j=R$ for all $i\neq j$. Then there is a surjective ring homomorphism
  \begin{eqnarray*}
    \pphi\colon R&\longrightarrow&R/I_1\times \hdots\times R/I_r\\
    r&\longmapsto&\left(\overline{r},\hdots,\overline{r}\right),
  \end{eqnarray*}
  and $\ker \pphi = I_1\cap \hdots \cap I_r$. In particular there is a ring isomorphism
  \[
  \begin{tikzcd}
    R/\left(I_1\cap\hdots\cap I_r\right)\ar{r}[above]{\sim}&R/I_1\times \hdots\times R/I_r.
  \end{tikzcd}
  \]
\end{prop}
%\begin{proof}
%  This proof is self-contained. But since it uses a local-global correspondence, it is maybe a bit ad-hoc. \par
%  That $\pphi$ is a ring-homomorphism follows directly from the defintion. Let now $\idm\sse R$ be a maximal ideal in $R$. As localization is exact, it commutes with direct sums (\cref{6:localization-direct-sums}). So
%  \[
%  \left(
%  R/I_1\times \hdots \times R/I_n\right)_{\idm} \cong \left(R/I_1\right)_{\idm}\times \hdots \times \left(R/I_n\right)_{\idm},
%  \]
%  where the localization of the $R/I_i$ is now done as $R$-modules.

%\end{proof}


\subsection{Formal Power Series} \label{sec: formal power series}
Under construction.
